Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.exception
Class InvalidEditingException

    com.change_vision.jude.api.inf.exception.InvalidEditingException

    public class InvalidEditingException

Invalid Editing.

Field Summary
`static String` | `ANONYMOUS_BOUND_CLASS_LOOP_KEY` anonymousBoundClassLoopError - if an anonymous bound class loops.
`static String` | `ANONYMOUS_BOUND_CLASS_LOOP_MESSAGE`
`static String` | `BAD_TRANSACTION_KEY` badTransaction - Bad Transaction.
`static String` | `BAD_TRANSACTION_MESSAGE`
`static String` | `CAN_NOT_MERGE_IN_TRANSACTION_KEY` CanNotMergeInTransaction - if a file is merged in transaction.
`static String` | `CAN_NOT_MERGE_IN_TRANSACTION_MESSAGE`
`static String` | `CAN_NOT_MERGE_WHEN_CURRENT_HAS_REFERENCE_PROJRCT_KEY` CanNotMergeWhenCurrentHasReferenceProject - if a file is merged to the current project with reference models.
`static String` | `CAN_NOT_MERGE_WHEN_CURRENT_HAS_REFERENCE_PROJRCT_MESSAGE`
`static String` | `CLASSIFIER_LOOP_ERROR_MESSAGE`
`static String` | `CLASSIFIER_LOOP_KEY` classfierLoopError - if a generalization loop is found.
`static String` | `DUPLICATED_HISTORY_KEY` duplicatedHistory - if a history already exists in a diagram or a composite state.
`static String` | `DUPLICATED_HISTORY_MESSAGE`
`static String` | `DUPLICATED_INCOMING_KEY` duplicatedInComingError - if duplicated incomings are set.
`static String` | `DUPLICATED_INCOMING_MESSAGE`
`static String` | `DUPLICATED_OUTGOING_KEY` duplicatedOutGoingError - if duplicated outgoings are set.
`static String` | `DUPLICATED_OUTGOING_MESSAGE`
`static String` | `FORBID_SUBSYSTEM_KEY` cannotSetSubsystem - if a subsystem is set to a template parameter.
`static String` | `FORBID_SUBSYSTEM_MESSAGE`
`static String` | `GENERALIZATION_EXIST_KEY` generalizationExists - if a generalization already exists.
`static String` | `GENERALIZATION_EXIST_MESSAGE`
`static String` | `HAS_EXCEPTION_KEY` hasException - if an exception has occurred.
`static String` | `HAS_EXCEPTION_MESSAGE`
`static String` | `HAS_INVALID_MODEL_KEY` hasInvalidModel - if invalid models exist.
`static String` | `HAS_INVALID_MODEL_MESSAGE`
`static String` | `IERRElATIONSHIP_SETFORIGENKEY_FAIL_KEY` foreignKeyFailError - if a foreign key is not set properly.
`static String` | `IERRElATIONSHIP_SETFORIGENKEY_FAIL_KEY_MESSAGE`
`static String` | `ILLEGAL_DIAGRAM_TYPE_KEY` illegalDiagramType - if the diagram type is illegal.
`static String` | `ILLEGAL_DIAGRAM_TYPE_MESSAGE`
`static String` | `ILLEGAL_VERSION_ERROR_KEY` illegalVersionError - if Editing API is used in astah* community.
`static String` | `ILLEGAL_VERSION_ERROR_MESSAGE`
`static String` | `ILLEGALMODELTYPE_ERROR_KEY` illegalModelType - if the model type is illegal.
`static String` | `ILLEGALMODELTYPE_ERROR_MESSAGE`
`static String` | `INVALID_ALIAS_MODEL_ERROR_KEY` invalidAliasModelError - if an alias cannot be set to the model.
`static String` | `INVALID_ALIAS_MODEL_ERROR_MESSAGE`
`static String` | `INVALID_ATTRIBUTE_FOR_ERINDEX_ERROR_KEY` invalidAttributeForERIndexError - if an attribute does not belong to the ERIndex's parent entity.
`static String` | `INVALID_ATTRIBUTE_FOR_ERINDEX_ERROR_MESSAGE`
`static String` | `INVALID_CRUD_VALUE_KEY` invalidCRUDValue - if the value set for CRUD is invalid.
`static String` | `INVALID_CRUD_VALUE_MESSAGE`
`static String` | `INVALID_DIAGRAM_ERROR_KEY` invalidDiagram - if a diagram of an element is not correct.
`static String` | `INVALID_DIAGRAM_ERROR_MESSAGE`
`static String` | `INVALID_DIRECTION_KEY` invalidDirectionError - if a direction kind is not in, out or inout.
`static String` | `INVALID_DIRECTION_MESSAGE`
`static String` | `INVALID_ERINDEX_FOR_RELATIONSHIP_ERROR_KEY` invalidERIndexForRelationshipError - if an ERIndex is not unique.
`static String` | `INVALID_ERINDEX_FOR_RELATIONSHIP_ERROR_MESSAGE`
`static String` | `INVALID_HYPERLINK_MODEL_ERROR_KEY` invalidHyperlinkModelError - if a hyperlink cannot be set to the model.
`static String` | `INVALID_HYPERLINK_MODEL_ERROR_MESSAGE`
`static String` | `INVALID_LENGTH_PRICISION_ERROR_KEY` invalidLengthPricisionError - if length and precision are not correct.
`static String` | `INVALID_LENGTH_PRICISION_ERROR_MESSAGE`
`static String` | `INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY` invalidMindMapTopicMoveError - if a topic is moved to another topic in a different diagram or to itself.
`static String` | `INVALID_MINDMAP_TOPIC_MOVE_ERROR_MESSAGE`
`static String` | `INVALID_MULTIPLICITY_KEY` invalidMultiplicity - if the multiplicity is invalid.
`static String` | `INVALID_MULTIPLICITY_MESSAGE`
`static String` | `INVALID_NOTE_ANCHOR_KEY` noteAnchor - if a target of a NoteAnchor is not a Note.
`static String` | `INVALID_NOTE_ANCHOR_MESSAGE`
`static String` | `INVALID_OWNER_KEY` invalidOwner - if the owner is invalid.
`static String` | `INVALID_OWNER_MESSAGE`
`static String` | `INVALID_PARAMETER_KEY` invalidParameter - if a parameter cannot be set to a template class.
`static String` | `INVALID_PARAMETER_MESSAGE`
`static String` | `INVALID_PARENT_KEY` invalidParent - if the parent is invalid.
`static String` | `INVALID_PARENT_MESSAGE`
`static String` | `INVALID_REALIZATION_KEY` invalidRalization - if a target of a realization is not an interface.
`static String` | `INVALID_REALIZATION_MESSAGE`
`static String` | `INVALID_RELATION_KEY` invalidParent - if the target/source of the relationship is invalid.
`static String` | `INVALID_RELATION_MESSAGE`
`static String` | `INVALID_SOURCE_KEY` invalidSource - if a source of a relation is invalid.
`static String` | `INVALID_SOURCE_MESSAGE`
`static String` | `INVALID_TARGET_KEY` invalidSource - if a target of a relation is invalid.
`static String` | `INVALID_TARGET_MESSAGE`
`static String` | `INVALID_TEMPLATE_KEY` invalidTemplateBinding - if the target of the template binding is not correct.
`static String` | `INVALID_TEMPLATE_MESSAGE`
`static String` | `INVALID_TEMPLATE_PARAMETER_KEY` invalidParameter - if a parameter cannot be set to a template class.
`static String` | `INVALID_TEMPLATE_PARAMETER_MESSAGE`
`static String` | `INVALID_TYPE_MODIFIER_MODEL_ERROR_KEY` invalidTypeModifierModelError - if a Type Modifier cannot be set to the model.
`static String` | `INVALID_TYPE_MODIFIER_MODEL_ERROR_MESSAGE`
`static String` | `INVALID_USAGE_KEY` invalidUsage - if a target of a usage is not an interface.
`static String` | `INVALID_USAGE_MESSAGE`
`static String` | `INVALID_VALUE_SET_TARGET_KEY` invalidValueSetTarget - if the value set for CRUD is invalid.
`static String` | `INVALID_VALUE_SET_TARGET_MESSAGE`
`private String` | `key`
`static String` | `LEAF_ERROR_KEY` leafError - if a child element is added to a leaf element, or an element with a child element is set as a leaf.
`static String` | `LEAF_ERROR_MESSAGE`
`static String` | `LOCATION_ERROR_KEY` locationError - if a parent exists in the specified location.
`static String` | `LOCATION_ERROR_MESSAGE`
`private String` | `message`
`static String` | `MINDMAP_ROOT_TOPIC_DELETE_ERROR_KEY` mindmapRootTopicDeleteError - if a topic to be deleted is a root topic.
`static String` | `MINDMAP_ROOT_TOPIC_DELETE_ERROR_MESSAGE`
`static String` | `MULTI_ER_MODEL_ERROR_KEY` multiERModelError - if an ER model cannot be created because an ER model exists in the project.
`static String` | `MULTI_ER_MODEL_ERROR_MESSAGE`
`static String` | `MUST_SUB_CLASS_ERROR_KEY` mustBeSubClass - if the type of parameter is not a sub class.
`static String` | `MUST_SUB_CLASS_ERROR_MESSAGE`
`static String` | `NAME_DOUBLE_ERROR_KEY` nameDoubleError - An element with the same name already exists.
`static String` | `NAME_DOUBLE_ERROR_MESSAGE`
`static String` | `NO_ASSOCIATION_END_ERROR_KEY` noAssociationEnd - if an association end does not exist.
`static String` | `NO_ASSOCIATION_END_ERROR_MESSAGE`
`static String` | `NO_LIFELINE_COVERED_KEY` noLifelineCovered - if it covers no Lifeline.
`static String` | `NO_LIFELINE_COVERED_MESSAGE`
`static String` | `NO_NAME_ERROR_KEY` noNameError - if the name is empty.
`static String` | `NO_NAME_ERROR_MESSAGE`
`static String` | `NO_TARGET_CLASSIFIER_KEY` noTargetClassifier - if a target classifier doesn't exist.
`static String` | `NO_TARGET_CLASSIFIER_MESSAGE`
`static String` | `NO_TARGET_DIAGRAM_KEY` noTargetDiagram - if a target diagram is not set.
`static String` | `NO_TARGET_DIAGRAM_MESSAGE`
`static String` | `OUT_OF_CONTAINER_KEY` outOfContainer - if the location is specified out of container.
`static String` | `OUT_OF_CONTAINER_MESSAGE`
`static String` | `PARAMETER_ERROR_KEY` parameterError - if a parameter is not set properly.
`static String` | `PARAMETER_ERROR_MESSAGE`
`static String` | `PARENT_REQUIRED_ERROR_KEY` parentRequiredError - if "Parent is required" for an identifying relationship is set to false.
`static String` | `PARENT_REQUIRED_ERROR_MESSAGE`
`static String` | `READ_ONLY_KEY` readOnly - if a read-only element is edited.
`static String` | `READ_ONLY_MESSAGE`
`static String` | `REALIZATION_EXIST_KEY` realizationExists - if a realization already exists.
`static String` | `REALIZATION_EXIST_MESSAGE`
`static String` | `REALIZATION_LOOP_ERROR_KEY` realizationLoopError - if a realization loops.
`static String` | `REALIZATION_LOOP_ERROR_MESSAGE`
`static String` | `SAME_DIAGRAM_ERROR_KEY` sameDiagramError - if a SubmachineState is created in the same diagram.
`static String` | `SAME_DIAGRAM_ERROR_MESSAGE`
`static String` | `SELF_RELATION_KEY` selfRelationError - if the self relationship is not allowed.
`static String` | `SELF_RELATION_MESSAGE`
`static String` | `SUBTYPE_EXIST_KEY` subtypeExists - if the subtype already exists.
`static String` | `SUBTYPE_EXIST_MESSAGE`
`static String` | `SUBTYPE_LOOP_KEY` subtypeLoopError - if the subtype relationship is set.
`static String` | `SUBTYPE_LOOP_MESSAGE`
`static String` | `TAGGEDVALUE_TARGET_ERROR_KEY` taggedValueTargetError - if the tagged value cannot be set to the specified model.
`static String` | `TAGGEDVALUE_TARGET_ERROR_MESSAGE`
`static String` | `TEMPLATE_BINDING_LOOP_ERROR_KEY` templateBindingLoopError - if the template binding loops.
`static String` | `TEMPLATE_BINDING_LOOP_ERROR_MESSAGE`
`static String` | `TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_KEY` templateParamActualError - if an actual value cannot be set to the template parameter.
`static String` | `TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_MESSAGE`
`static String` | `TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_KEY` templateParamTypeError - if the default value cannot be set to the template parameter.
`static String` | `TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_MESSAGE`
`static String` | `USAGE_EXIST_KEY` usageExists - if a usage already exists.
`static String` | `USAGE_EXIST_MESSAGE`
`static String` | `USAGE_LOOP_ERROR_KEY` usageLoopError - if a usage loops.
`static String` | `USAGE_LOOP_ERROR_MESSAGE`

Constructor Summary
`InvalidEditingException(String key, String message)`

Method Summary
`String` | `getKey()` Get a Key.
`String` | `getMessage()` Get a Message.

Field Detail

### key

    private String key

### message

    private String message

### HAS_EXCEPTION_KEY

    public static final String HAS_EXCEPTION_KEY

  hasException - if an exception has occurred.

### HAS_EXCEPTION_MESSAGE

    public static final String HAS_EXCEPTION_MESSAGE

### NO_TARGET_CLASSIFIER_KEY

    public static final String NO_TARGET_CLASSIFIER_KEY

  noTargetClassifier - if a target classifier doesn't exist.

### NO_TARGET_CLASSIFIER_MESSAGE

    public static final String NO_TARGET_CLASSIFIER_MESSAGE

### ILLEGAL_VERSION_ERROR_KEY

    public static final String ILLEGAL_VERSION_ERROR_KEY

  illegalVersionError - if Editing API is used in astah* community.

### ILLEGAL_VERSION_ERROR_MESSAGE

    public static final String ILLEGAL_VERSION_ERROR_MESSAGE

### PARAMETER_ERROR_KEY

    public static final String PARAMETER_ERROR_KEY

  parameterError - if a parameter is not set properly.

### PARAMETER_ERROR_MESSAGE

    public static final String PARAMETER_ERROR_MESSAGE

### MULTI_ER_MODEL_ERROR_KEY

    public static final String MULTI_ER_MODEL_ERROR_KEY

  multiERModelError - if an ER model cannot be created because an ER model exists in the project.

### MULTI_ER_MODEL_ERROR_MESSAGE

    public static final String MULTI_ER_MODEL_ERROR_MESSAGE

### NAME_DOUBLE_ERROR_KEY

    public static final String NAME_DOUBLE_ERROR_KEY

  nameDoubleError - An element with the same name already exists.

### NAME_DOUBLE_ERROR_MESSAGE

    public static final String NAME_DOUBLE_ERROR_MESSAGE

### BAD_TRANSACTION_KEY

    public static final String BAD_TRANSACTION_KEY

  badTransaction - Bad Transaction.

### BAD_TRANSACTION_MESSAGE

    public static final String BAD_TRANSACTION_MESSAGE

### ILLEGALMODELTYPE_ERROR_KEY

    public static final String ILLEGALMODELTYPE_ERROR_KEY

  illegalModelType - if the model type is illegal.

### ILLEGALMODELTYPE_ERROR_MESSAGE

    public static final String ILLEGALMODELTYPE_ERROR_MESSAGE

### TAGGEDVALUE_TARGET_ERROR_KEY

    public static final String TAGGEDVALUE_TARGET_ERROR_KEY

  taggedValueTargetError - if the tagged value cannot be set to the specified model.

### TAGGEDVALUE_TARGET_ERROR_MESSAGE

    public static final String TAGGEDVALUE_TARGET_ERROR_MESSAGE

### HAS_INVALID_MODEL_KEY

    public static final String HAS_INVALID_MODEL_KEY

  hasInvalidModel - if invalid models exist.

### HAS_INVALID_MODEL_MESSAGE

    public static final String HAS_INVALID_MODEL_MESSAGE

### SUBTYPE_LOOP_KEY

    public static final String SUBTYPE_LOOP_KEY

  subtypeLoopError - if the subtype relationship is set.

### SUBTYPE_LOOP_MESSAGE

    public static final String SUBTYPE_LOOP_MESSAGE

### SUBTYPE_EXIST_KEY

    public static final String SUBTYPE_EXIST_KEY

  subtypeExists - if the subtype already exists.

### SUBTYPE_EXIST_MESSAGE

    public static final String SUBTYPE_EXIST_MESSAGE

### SELF_RELATION_KEY

    public static final String SELF_RELATION_KEY

  selfRelationError - if the self relationship is not allowed.

### SELF_RELATION_MESSAGE

    public static final String SELF_RELATION_MESSAGE

### LEAF_ERROR_KEY

    public static final String LEAF_ERROR_KEY

  leafError - if a child element is added to a leaf element, or an element with a child element is set as a leaf.

### LEAF_ERROR_MESSAGE

    public static final String LEAF_ERROR_MESSAGE

### CLASSIFIER_LOOP_KEY

    public static final String CLASSIFIER_LOOP_KEY

  classfierLoopError - if a generalization loop is found.

### CLASSIFIER_LOOP_ERROR_MESSAGE

    public static final String CLASSIFIER_LOOP_ERROR_MESSAGE

### NO_ASSOCIATION_END_ERROR_KEY

    public static final String NO_ASSOCIATION_END_ERROR_KEY

  noAssociationEnd - if an association end does not exist.

### NO_ASSOCIATION_END_ERROR_MESSAGE

    public static final String NO_ASSOCIATION_END_ERROR_MESSAGE

### GENERALIZATION_EXIST_KEY

    public static final String GENERALIZATION_EXIST_KEY

  generalizationExists - if a generalization already exists.

### GENERALIZATION_EXIST_MESSAGE

    public static final String GENERALIZATION_EXIST_MESSAGE

### INVALID_MULTIPLICITY_KEY

    public static final String INVALID_MULTIPLICITY_KEY

  invalidMultiplicity - if the multiplicity is invalid.

### INVALID_MULTIPLICITY_MESSAGE

    public static final String INVALID_MULTIPLICITY_MESSAGE

### INVALID_PARENT_KEY

    public static final String INVALID_PARENT_KEY

  invalidParent - if the parent is invalid.

### INVALID_PARENT_MESSAGE

    public static final String INVALID_PARENT_MESSAGE

### INVALID_TEMPLATE_KEY

    public static final String INVALID_TEMPLATE_KEY

  invalidTemplateBinding - if the target of the template binding is not correct.

### INVALID_TEMPLATE_MESSAGE

    public static final String INVALID_TEMPLATE_MESSAGE

### TEMPLATE_BINDING_LOOP_ERROR_KEY

    public static final String TEMPLATE_BINDING_LOOP_ERROR_KEY

  templateBindingLoopError - if the template binding loops.

### TEMPLATE_BINDING_LOOP_ERROR_MESSAGE

    public static final String TEMPLATE_BINDING_LOOP_ERROR_MESSAGE

### FORBID_SUBSYSTEM_KEY

    public static final String FORBID_SUBSYSTEM_KEY

  cannotSetSubsystem - if a subsystem is set to a template parameter.

### FORBID_SUBSYSTEM_MESSAGE

    public static final String FORBID_SUBSYSTEM_MESSAGE

### MUST_SUB_CLASS_ERROR_KEY

    public static final String MUST_SUB_CLASS_ERROR_KEY

  mustBeSubClass - if the type of parameter is not a sub class.

### MUST_SUB_CLASS_ERROR_MESSAGE

    public static final String MUST_SUB_CLASS_ERROR_MESSAGE

### REALIZATION_EXIST_KEY

    public static final String REALIZATION_EXIST_KEY

  realizationExists - if a realization already exists.

### REALIZATION_EXIST_MESSAGE

    public static final String REALIZATION_EXIST_MESSAGE

### INVALID_PARAMETER_KEY

    public static final String INVALID_PARAMETER_KEY

  invalidParameter - if a parameter cannot be set to a template class.

### INVALID_PARAMETER_MESSAGE

    public static final String INVALID_PARAMETER_MESSAGE

### ANONYMOUS_BOUND_CLASS_LOOP_KEY

    public static final String ANONYMOUS_BOUND_CLASS_LOOP_KEY

  anonymousBoundClassLoopError - if an anonymous bound class loops.

### ANONYMOUS_BOUND_CLASS_LOOP_MESSAGE

    public static final String ANONYMOUS_BOUND_CLASS_LOOP_MESSAGE

### TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_KEY

    public static final String TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_KEY

  templateParamTypeError - if the default value cannot be set to the template parameter.

### TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_MESSAGE

    public static final String TEMPLATE_PARAM_DEFAULT_VALUE_ERROR_MESSAGE

### TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_KEY

    public static final String TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_KEY

  templateParamActualError - if an actual value cannot be set to the template parameter.

### TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_MESSAGE

    public static final String TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_MESSAGE

### IERRElATIONSHIP_SETFORIGENKEY_FAIL_KEY

    public static final String IERRElATIONSHIP_SETFORIGENKEY_FAIL_KEY

  foreignKeyFailError - if a foreign key is not set properly.

### IERRElATIONSHIP_SETFORIGENKEY_FAIL_KEY_MESSAGE

    public static final String IERRElATIONSHIP_SETFORIGENKEY_FAIL_KEY_MESSAGE

### INVALID_REALIZATION_KEY

    public static final String INVALID_REALIZATION_KEY

  invalidRalization - if a target of a realization is not an interface.

### INVALID_REALIZATION_MESSAGE

    public static final String INVALID_REALIZATION_MESSAGE

### REALIZATION_LOOP_ERROR_KEY

    public static final String REALIZATION_LOOP_ERROR_KEY

  realizationLoopError - if a realization loops.

### REALIZATION_LOOP_ERROR_MESSAGE

    public static final String REALIZATION_LOOP_ERROR_MESSAGE

### USAGE_LOOP_ERROR_KEY

    public static final String USAGE_LOOP_ERROR_KEY

  usageLoopError - if a usage loops.

### USAGE_LOOP_ERROR_MESSAGE

    public static final String USAGE_LOOP_ERROR_MESSAGE

### USAGE_EXIST_KEY

    public static final String USAGE_EXIST_KEY

  usageExists - if a usage already exists.

### USAGE_EXIST_MESSAGE

    public static final String USAGE_EXIST_MESSAGE

### NO_NAME_ERROR_KEY

    public static final String NO_NAME_ERROR_KEY

  noNameError - if the name is empty.

### NO_NAME_ERROR_MESSAGE

    public static final String NO_NAME_ERROR_MESSAGE

### INVALID_USAGE_KEY

    public static final String INVALID_USAGE_KEY

  invalidUsage - if a target of a usage is not an interface.

### INVALID_USAGE_MESSAGE

    public static final String INVALID_USAGE_MESSAGE

### PARENT_REQUIRED_ERROR_KEY

    public static final String PARENT_REQUIRED_ERROR_KEY

  parentRequiredError - if "Parent is required" for an identifying relationship is set to false.

### PARENT_REQUIRED_ERROR_MESSAGE

    public static final String PARENT_REQUIRED_ERROR_MESSAGE

### INVALID_DIRECTION_KEY

    public static final String INVALID_DIRECTION_KEY

  invalidDirectionError - if a direction kind is not in, out or inout.

### INVALID_DIRECTION_MESSAGE

    public static final String INVALID_DIRECTION_MESSAGE

### INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY

    public static final String INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY

  invalidMindMapTopicMoveError - if a topic is moved to another topic in a different diagram or to itself.

### INVALID_MINDMAP_TOPIC_MOVE_ERROR_MESSAGE

    public static final String INVALID_MINDMAP_TOPIC_MOVE_ERROR_MESSAGE

### MINDMAP_ROOT_TOPIC_DELETE_ERROR_KEY

    public static final String MINDMAP_ROOT_TOPIC_DELETE_ERROR_KEY

  mindmapRootTopicDeleteError - if a topic to be deleted is a root topic.

### MINDMAP_ROOT_TOPIC_DELETE_ERROR_MESSAGE

    public static final String MINDMAP_ROOT_TOPIC_DELETE_ERROR_MESSAGE

### INVALID_LENGTH_PRICISION_ERROR_KEY

    public static final String INVALID_LENGTH_PRICISION_ERROR_KEY

  invalidLengthPricisionError - if length and precision are not correct.

### INVALID_LENGTH_PRICISION_ERROR_MESSAGE

    public static final String INVALID_LENGTH_PRICISION_ERROR_MESSAGE

### INVALID_TYPE_MODIFIER_MODEL_ERROR_KEY

    public static final String INVALID_TYPE_MODIFIER_MODEL_ERROR_KEY

  invalidTypeModifierModelError - if a Type Modifier cannot be set to the model.

### INVALID_TYPE_MODIFIER_MODEL_ERROR_MESSAGE

    public static final String INVALID_TYPE_MODIFIER_MODEL_ERROR_MESSAGE

### INVALID_RELATION_KEY

    public static final String INVALID_RELATION_KEY

  invalidParent - if the target/source of the relationship is invalid.

### INVALID_RELATION_MESSAGE

    public static final String INVALID_RELATION_MESSAGE

### INVALID_TEMPLATE_PARAMETER_KEY

    public static final String INVALID_TEMPLATE_PARAMETER_KEY

  invalidParameter - if a parameter cannot be set to a template class.

### INVALID_TEMPLATE_PARAMETER_MESSAGE

    public static final String INVALID_TEMPLATE_PARAMETER_MESSAGE

### CAN_NOT_MERGE_WHEN_CURRENT_HAS_REFERENCE_PROJRCT_KEY

    public static final String CAN_NOT_MERGE_WHEN_CURRENT_HAS_REFERENCE_PROJRCT_KEY

  CanNotMergeWhenCurrentHasReferenceProject - if a file is merged to the current project with reference models.

### CAN_NOT_MERGE_WHEN_CURRENT_HAS_REFERENCE_PROJRCT_MESSAGE

    public static final String CAN_NOT_MERGE_WHEN_CURRENT_HAS_REFERENCE_PROJRCT_MESSAGE

### CAN_NOT_MERGE_IN_TRANSACTION_KEY

    public static final String CAN_NOT_MERGE_IN_TRANSACTION_KEY

  CanNotMergeInTransaction - if a file is merged in transaction.

### CAN_NOT_MERGE_IN_TRANSACTION_MESSAGE

    public static final String CAN_NOT_MERGE_IN_TRANSACTION_MESSAGE

### INVALID_ATTRIBUTE_FOR_ERINDEX_ERROR_KEY

    public static final String INVALID_ATTRIBUTE_FOR_ERINDEX_ERROR_KEY

  invalidAttributeForERIndexError - if an attribute does not belong to the ERIndex's parent entity.

### INVALID_ATTRIBUTE_FOR_ERINDEX_ERROR_MESSAGE

    public static final String INVALID_ATTRIBUTE_FOR_ERINDEX_ERROR_MESSAGE

### INVALID_ERINDEX_FOR_RELATIONSHIP_ERROR_KEY

    public static final String INVALID_ERINDEX_FOR_RELATIONSHIP_ERROR_KEY

  invalidERIndexForRelationshipError - if an ERIndex is not unique.

### INVALID_ERINDEX_FOR_RELATIONSHIP_ERROR_MESSAGE

    public static final String INVALID_ERINDEX_FOR_RELATIONSHIP_ERROR_MESSAGE

### INVALID_ALIAS_MODEL_ERROR_KEY

    public static final String INVALID_ALIAS_MODEL_ERROR_KEY

  invalidAliasModelError - if an alias cannot be set to the model.

### INVALID_ALIAS_MODEL_ERROR_MESSAGE

    public static final String INVALID_ALIAS_MODEL_ERROR_MESSAGE

### INVALID_HYPERLINK_MODEL_ERROR_KEY

    public static final String INVALID_HYPERLINK_MODEL_ERROR_KEY

  invalidHyperlinkModelError - if a hyperlink cannot be set to the model.

### INVALID_HYPERLINK_MODEL_ERROR_MESSAGE

    public static final String INVALID_HYPERLINK_MODEL_ERROR_MESSAGE

### NO_TARGET_DIAGRAM_KEY

    public static final String NO_TARGET_DIAGRAM_KEY

  noTargetDiagram - if a target diagram is not set.

### NO_TARGET_DIAGRAM_MESSAGE

    public static final String NO_TARGET_DIAGRAM_MESSAGE

### INVALID_DIAGRAM_ERROR_KEY

    public static final String INVALID_DIAGRAM_ERROR_KEY

  invalidDiagram - if a diagram of an element is not correct.

### INVALID_DIAGRAM_ERROR_MESSAGE

    public static final String INVALID_DIAGRAM_ERROR_MESSAGE

### INVALID_NOTE_ANCHOR_KEY

    public static final String INVALID_NOTE_ANCHOR_KEY

  noteAnchor - if a target of a NoteAnchor is not a Note.

### INVALID_NOTE_ANCHOR_MESSAGE

    public static final String INVALID_NOTE_ANCHOR_MESSAGE

### INVALID_OWNER_KEY

    public static final String INVALID_OWNER_KEY

  invalidOwner - if the owner is invalid.

### INVALID_OWNER_MESSAGE

    public static final String INVALID_OWNER_MESSAGE

### ILLEGAL_DIAGRAM_TYPE_KEY

    public static final String ILLEGAL_DIAGRAM_TYPE_KEY

  illegalDiagramType - if the diagram type is illegal.

### ILLEGAL_DIAGRAM_TYPE_MESSAGE

    public static final String ILLEGAL_DIAGRAM_TYPE_MESSAGE

### OUT_OF_CONTAINER_KEY

    public static final String OUT_OF_CONTAINER_KEY

  outOfContainer - if the location is specified out of container.

### OUT_OF_CONTAINER_MESSAGE

    public static final String OUT_OF_CONTAINER_MESSAGE

### DUPLICATED_HISTORY_KEY

    public static final String DUPLICATED_HISTORY_KEY

  duplicatedHistory - if a history already exists in a diagram or a composite state.

### DUPLICATED_HISTORY_MESSAGE

    public static final String DUPLICATED_HISTORY_MESSAGE

### INVALID_SOURCE_KEY

    public static final String INVALID_SOURCE_KEY

  invalidSource - if a source of a relation is invalid.

### INVALID_SOURCE_MESSAGE

    public static final String INVALID_SOURCE_MESSAGE

### INVALID_TARGET_KEY

    public static final String INVALID_TARGET_KEY

  invalidSource - if a target of a relation is invalid.

### INVALID_TARGET_MESSAGE

    public static final String INVALID_TARGET_MESSAGE

### SAME_DIAGRAM_ERROR_KEY

    public static final String SAME_DIAGRAM_ERROR_KEY

  sameDiagramError - if a SubmachineState is created in the same diagram.

### SAME_DIAGRAM_ERROR_MESSAGE

    public static final String SAME_DIAGRAM_ERROR_MESSAGE

### LOCATION_ERROR_KEY

    public static final String LOCATION_ERROR_KEY

  locationError - if a parent exists in the specified location.

### LOCATION_ERROR_MESSAGE

    public static final String LOCATION_ERROR_MESSAGE

### DUPLICATED_OUTGOING_KEY

    public static final String DUPLICATED_OUTGOING_KEY

  duplicatedOutGoingError - if duplicated outgoings are set.

### DUPLICATED_OUTGOING_MESSAGE

    public static final String DUPLICATED_OUTGOING_MESSAGE

### DUPLICATED_INCOMING_KEY

    public static final String DUPLICATED_INCOMING_KEY

  duplicatedInComingError - if duplicated incomings are set.

### DUPLICATED_INCOMING_MESSAGE

    public static final String DUPLICATED_INCOMING_MESSAGE

### READ_ONLY_KEY

    public static final String READ_ONLY_KEY

  readOnly - if a read-only element is edited.

### READ_ONLY_MESSAGE

    public static final String READ_ONLY_MESSAGE

### INVALID_CRUD_VALUE_KEY

    public static final String INVALID_CRUD_VALUE_KEY

  invalidCRUDValue - if the value set for CRUD is invalid.

### INVALID_CRUD_VALUE_MESSAGE

    public static final String INVALID_CRUD_VALUE_MESSAGE

### INVALID_VALUE_SET_TARGET_KEY

    public static final String INVALID_VALUE_SET_TARGET_KEY

  invalidValueSetTarget - if the value set for CRUD is invalid.

### INVALID_VALUE_SET_TARGET_MESSAGE

    public static final String INVALID_VALUE_SET_TARGET_MESSAGE

### NO_LIFELINE_COVERED_KEY

    public static final String NO_LIFELINE_COVERED_KEY

  noLifelineCovered - if it covers no Lifeline.

  Since:
    6.6.4

### NO_LIFELINE_COVERED_MESSAGE

    public static final String NO_LIFELINE_COVERED_MESSAGE

Since:
  6.6.4

Constructor Detail

### InvalidEditingException

    public InvalidEditingException(String key,
                                   String message)

Method Detail

### getKey

    public String getKey()

  Get a Key.

  Returns:
    Key

### getMessage

    public String getMessage()

  Get a Message.

  Returns:
    Error Message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD